package com.persagy.apm.energyalarmstarter.alarmdata.model.dto.alarmrecord;

import com.fasterxml.jackson.databind.node.ObjectNode;
import com.persagy.apm.energyalarmstarter.alarmdata.feign.AlarmUrlParam;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.util.Date;
import java.util.List;

/**
 * 报警记录
 *
 * @author lixing
 * @version V1.0 2021/9/16 9:33 上午
 **/
@EqualsAndHashCode(callSuper = true)
@Data
public class QueryAlarmRecordDTO extends AlarmUrlParam {
    private String id;
    private String itemCode;
    private String projectId;
    private String objId;
    private String classCode;
    private String level;
    private String remark;
    private String name;
    private String category;
    private Integer concern;
    private Integer state;
    private Date effectStartTime;
    private Date effectEndTime;
    /**
     * 报警性质
     */
    private Integer nature;
    /**
     * 处理方式
     */
    private Integer treatMode;
    /**
     * 处理状态
     */
    private Integer treatState;
    private String createUser;
    private ObjectNode condition;
    private ObjectNode triggerInfo;
    private Date triggerTime;
    private ObjectNode endInfo;
    private Date endTime;
    private Date createTime;
    private String updateUser;
    private Date updateTime;
    private Integer valid;
    private String groupCode;
    private String orderId;
    private String orderState;
    private ObjectNode supplement;

    /**
     * 忽略报警时间
     */
    private Date ignoreTime;
    /**
     * 报警处理完成时间
     */
    private Date treatEndTime;
    private String targetId;
}
